Useful or not, from you.
storybook Storybook not compatible with Webpack 5

Describe the bug Storybook is using webpack v4+

> start-storybook -p 6006

info @storybook/react v6.0.27
info
info => Loading presets
info => Loading presets
info => Loading config/preview file in "./.storybook".
info => Loading custom Webpack config (full-control mode).
10% building 1/1 modules 0 active(node:17972) UnhandledPromiseRejectionWarning: TypeError: Cannot read property 'createSnapshot' of undefined

node_modules\webpack\lib\ExternalModuleFactoryPlugin.js:41
normalModuleFactory.hooks.factorize.tapAsync(
                                                    ^

TypeError: Cannot read property 'tapAsync' of undefined

To Reproduce Steps to reproduce the behavior:

  1. npx sb upgrade
  2. npm i webpack@latest -D --> webpack v5++
  3. npm run storybook
  4. See error

Expected: after webpack upgrade to v5, storybook should start

Downgrade webpack to 4.43 works.

Any plan on upgrading to Webpack v5++ anytime soon?

That's a useful answer
Without any help

closing as dupe to #9216